package game.constant;

public final class LEVEL {
	private int down_cnt;
	private int land_max;
	private LEVEL(int down_cnt, int land_max) {
		this.down_cnt = down_cnt;
		this.land_max = land_max;
	}

//	public int getDownCnt() {
//		return down_cnt;
//	}
//	public int getLandMax() {
//		return land_max;
//	}

	public static int getDonwCnt(int level) {
		switch(level) {
			case 1:
				return Lv1.down_cnt;
			case 2:
				return Lv2.down_cnt;
			case 3:
				return Lv3.down_cnt;
			case 4:
				return Lv4.down_cnt;
			case 5:
				return Lv5.down_cnt;
		}
		return -1;
	}
	public static int getLandMax(int level) {
		switch(level) {
			case 1:
				return Lv1.land_max;
			case 2:
				return Lv2.land_max;
			case 3:
				return Lv3.land_max;
			case 4:
				return Lv4.land_max;
			case 5:
				return Lv5.land_max;
		}
		return -1;
	}


	private static final LEVEL Lv1 = new LEVEL(40, 80);
	private static final LEVEL Lv2 = new LEVEL(35, 70);
	private static final LEVEL Lv3 = new LEVEL(30, 60);
	private static final LEVEL Lv4 = new LEVEL(25, 50);
	private static final LEVEL Lv5 = new LEVEL(20, 40);



}

